Problem: after IFDEF or IFNDEF processed, the assembler failed to list undefined symbols as an error.
This persisted for some time during assembly.

Observation: IFDEF or IFNDEF processing did not reset "suppress_undefined" if the symbol *was* defined,
only when it *was not defined*.

Solution: obviously, reset whether symbol found or not. The "suppression" was not intended to last 
more than one assembly line (the IFDEF or IFNDEF line),

From fragement below from a85eval() from  led() see added line with HRJ comment. 

- Herb Jan 25 2025



TOKEN *lex(void)
{
    SCRATCH char c, *p; // HRJ d not needed
    SCRATCH unsigned b;
    SCRATCH OPCODE *o;
    SCRATCH SYMBOL *s;

    /* OPCODE *find_operator();
    SYMBOL *find_symbol();
    void exp_error(), make_number(), pops(), pushc(), trash(); */

    if (oldt) { oldt = FALSE;  return &token; }
    trash();
    if (isalph(c = popc())) {
		pushc(c);  pops(token.sval);
		if (!strcmp(token.sval,"$")) {
	    	token.attr = VAL;
	    	token.valu = pc;
		}
		else if (o = find_operator(token.sval)) {
	    	token.attr = o -> attr;
	    	token.valu = o -> valu;
		}
		else {
	    	token.attr = VAL;  token.valu = 0;

	    	if (s = find_symbol(token.sval)) {
				token.valu = s -> valu;
				suppress_undefined = FALSE; /* HRJ clear suppression if true */
				if (pass == 2 && s -> attr & FORWD) forwd = TRUE;
	   		}
			else if (suppress_undefined) {
				/* Allow it through for one lex */
				suppress_undefined = FALSE;
	    		} else {
				exp_error('U');
			}
		}
    }
